import request from '@/utils/request'

// 查询监管单位列表
export function listJgdw(query) {
  return request({
    url: '/tcZz/networkSecurity/jgdw/list',
    method: 'get',
    params: query
  })
}

// 查询监管单位详细
export function getJgdw(id) {
  return request({
    url: '/tcZz/networkSecurity/jgdw/' + id,
    method: 'get'
  })
}

// 新增监管单位
export function addJgdw(data) {
  return request({
    url: '/tcZz/networkSecurity/jgdw',
    method: 'post',
    data: data
  })
}

// 修改监管单位
export function updateJgdw(data) {
  return request({
    url: '/tcZz/networkSecurity/jgdw',
    method: 'put',
    data: data
  })
}

// 删除监管单位
export function delJgdw(id) {
  return request({
    url: '/tcZz/networkSecurity/jgdw/' + id,
    method: 'delete'
  })
}
